------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-10
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(73, 133)
local effect_0 = CppScriptMgr:AddEffect("ty_ymz", 73, 133, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
local monster_0 = CppScriptMgr:AddPlayer(508, 152, 202, "", 0, 0)
local monster_1 = CppScriptMgr:AddPlayer(508, 163, 201, "", 0, 0)
local monster_2 = CppScriptMgr:AddPlayer(508, 163, 184, "", 0, 0)
local monster_3 = CppScriptMgr:AddPlayer(518, 150, 182, "", 0, 0)
local monster_4 = CppScriptMgr:AddPlayer(518, 146, 192, "", 0, 0)
local npc_0 = CppScriptMgr:AddSimplePlayer(100491, 219, 128, "", 0, 0)
npc_0:SetDir(1)
local npc_1 = CppScriptMgr:AddSimplePlayer(100505, 218, 129, "", 0, 0)
npc_1:SetDir(5)
local npc_2 = CppScriptMgr:AddSimplePlayer(100525, 226, 129, "", 0, 0)
npc_2:SetDir(5)
local npc_3 = CppScriptMgr:AddSimplePlayer(100511, 227, 128, "", 0, 0)
npc_3:SetDir(1)
local monster_5 = CppScriptMgr:AddPlayer(148, 64, 139, "", 0, 0)
monster_5:WalkTo(84, 119)
local monster_8 = CppScriptMgr:AddPlayer(148, 76, 124, "", 0, 0)
monster_8:WalkTo(56, 144)
local monster_6 = CppScriptMgr:AddPlayer(148, 71, 144, "", 0, 0)
monster_6:WalkTo(90, 124)
local monster_7 = CppScriptMgr:AddPlayer(148, 64, 128, "", 0, 0)
monster_7:WalkTo(84, 148)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("This is the castle. Every nightfall, a chill spreads from its depths.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqcj2", 150, 430, "Suyi", 250, 655, false)
CppScriptMgr:WaitMilSec(3500)
monster_0:WalkTo(152, 182)
monster_1:WalkTo(183, 182)
monster_2:WalkTo(142, 202)
monster_3:WalkTo(150, 202)
monster_4:WalkTo(166, 192)
CppScriptMgr:NpcCallOut("Be careful! This place is frequented by phantoms and bats that drain people`s life force!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqcj2", 150, 430, "Suyi", 250, 655, false)
CppScriptMgr:SetViewPosByCell(156, 195)
local effect_2 = CppScriptMgr:AddEffect("ty_ymz", 156, 195, 33, 1, 1, 1)
effect_2:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(3980)
npc_0:Say("Oh, my dear, you are truly beautiful!", 2500)
npc_3:Say("Thank you for bringing me here on our honeymoon, darling!", 3000)
local effect_1 = CppScriptMgr:AddEffect("tulip-flower-r-99", 219, 128, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("tulip-flower-r-99", 226, 129, 33, 1, 1, 1)
CppScriptMgr:NpcCallOut("This castle has become a nightmare for couples. They come out of curiosity but never return.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqcj2", 150, 430, "Suyi", 250, 655, false)
CppScriptMgr:SetViewPosByCell(222, 125)
CppScriptMgr:SetViewScale(300)
CppScriptMgr:WaitMilSec(2000)
local effect_4 = CppScriptMgr:AddEffect("zf2-e233", 219, 128, 33, 1, 1, 1)
local effect_5 = CppScriptMgr:AddEffect("zf2-e233", 226, 129, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
npc_0:SetHide(1)
npc_1:SetHide(1)
npc_2:SetHide(1)
npc_3:SetHide(1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("That`s all I know. The rest is up to you!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqcj2", 150, 430, "Suyi", 250, 655, false)
CppScriptMgr:SetViewPosByCell(79, 171)
local effect_6 = CppScriptMgr:AddEffect("ty_ymz", 79, 171, 33, 1, 1, 1)
effect_6:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(3000)